// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/dev_irq.h $
// $Rev: 30377 $
// $Date: 2014-09-18 12:09:04 -0500 (Thu, 18 Sep 2014) $

#ifndef __DEV_IRQ_H__
#define __DEV_IRQ_H__

#include "gsc_access.h"



// prototypes *****************************************************************

U32		irq_init(dev_data_t* dev);
U32		irq_interrupt_disable(dev_data_t* dev, U32 mask);
U32		irq_interrupt_enable(dev_data_t* dev, U32 mask);
U32		irq_interrupt_trigger_config(dev_data_t* dev, U32 mask, U32 edge, U32 high);

U32		irq_callback_arg(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_callback_func(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_enable(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_state(dev_data_t* dev, U32 which, UL set, UL* get);
U32		irq_trigger_config(dev_data_t* dev, U32 which, UL set, UL* get);



#endif
