// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_sem.h $
// $Rev: 30377 $
// $Date: 2014-09-18 12:09:04 -0500 (Thu, 18 Sep 2014) $

#ifndef __GSC_SEM_H__
#define __GSC_SEM_H__

#include "gsc_os_sem.h"



// data types *****************************************************************

typedef struct
{
	os_sem_t	sem;
} gsc_sem_t;




// prototypes *****************************************************************

U32		gsc_sem_create(gsc_sem_t* sem, const char* name);
U32		gsc_sem_destroy(gsc_sem_t* sem);
U32		gsc_sem_lock(gsc_sem_t* sem);
void	gsc_sem_unlock(gsc_sem_t* sem);



#endif
