// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/api/gsc_version.h $
// $Rev: 30377 $
// $Date: 2014-09-18 12:09:04 -0500 (Thu, 18 Sep 2014) $

#ifndef __GSC_VERSION_H__
#define __GSC_VERSION_H__

#include "gsc_access.h"
#include "gsc_common.h"

#include "gsc_os_version.h"



// #defines *******************************************************************

#define	API_GSC_VERSION				8
// 8	LINTed sources.
// 7	Removed key validation code and increased modularity. Linted code.
//		Made some changes for migration to 32-bit and 64-bit Linux.
//		Updated the handle validation code such that NULL is always invalid.
// 6	Ported to the SDK.
//
// 5	Fixed bug caused by requesting driver version data with a NULL handle.
//
// 4	Fixed bug caused by getting version data without the Driver Interface
//		Library.
//		Fixed a bug in the gsc_irq_local_wait() function.
//
// 3	Added gsc_dma_t* as an argument to gsc_io_create().
//
// 2	in gsc_common.h changed EXPORT to GSC_EXPORT and redefined to WINAPI.
//
// 1	initial release

#define	_STR(s)						# s
#define	__STR(s)					_STR(s)
#define	API_GSC_FILE_BASE_NAME		API_DEV_PRODUCT_NAME_LOWER "_api"
#define	ARRAY_ELEMENTS(a)			(sizeof((a))/sizeof((a)[0]))
#define	API_GSC_FILE_VERSION_STR	__STR(API_DEV_VERSION) "."		\
									__STR(API_DEV_OS_VERSION) "."	\
									__STR(API_GSC_VERSION) "."		\
									__STR(API_GSC_OS_VERSION) "."	\
									__STR(API_DEV_API_VERSION)



// prototypes *****************************************************************

U32	gsc_version_get(gsc_device_t* device, U8 id, char* version, size_t size);
U32 gsc_version_verify(void);



#endif
