#include <stdio.h>

#include "hpdi32_dsl.h"

U32	hpdi32_dsl_write(
	void*		handle,
	const void*	buffer,
	U32			bytes,
	U32*		count,
	int			verbose)
{
	U32	status;

	status	= hpdi32_write(handle, buffer, bytes, count);

	if (!verbose)
	{
	}
	else if (status != GSC_SUCCESS)
	{
		printf("hpdi32_write() failure: %ld\n", (long) status);
	}
	else
	{
		printf("I/O Write Operation:\n");
		printf("  Status:    0x%lX\n", (long) status);
		printf("  Requested: 0x%lX\n", (long) bytes);
		printf("  Sent:      0x%lX\n", (long) count[0]);
	}

	return(status);
}
