// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/HPDI32/HPDI32_Linux_sdk_6.x.x_GSC_DN/gpio/lib/main.h $
// $Rev: 30443 $
// $Date: 2014-10-07 16:31:42 -0500 (Tue, 07 Oct 2014) $

#ifndef __MAIN_H__
#define __MAIN_H__

#include <stdio.h>

#include "hpdi32_gpio.h"



// #defines *******************************************************************

#define	D0					0x01
#define	D1					0x02
#define	D2					0x04
#define	D3					0x08
#define	D4					0x10
#define	D5					0x20
#define	D6					0x40
#define	D9					(1 << 9)



// prototypes *****************************************************************

U32	ctrl_cap_get(void* dev, U8* cap, U8* cfg_mask);
U32	ctrl_dir_out_get(void* dev, U8* cfg_dir);
U32	ctrl_dir_out_set(void* dev, U8 cfg_dir, U8 io_bin);
U32	ctrl_enable_get(void* dev, U8* cfg_en);
U32	ctrl_enable_set(void* dev, U8 cfg_en, U8 cfg_dir, U8 io_bin);

U32	ctrl_def_cap_get(void* dev, U8* cap, U8* cfg_mask);
U32	ctrl_def_dir_out_get(void* dev, U8* cfg_dir);
U32	ctrl_def_dir_out_set(void* dev, U8 cfg_dir, U8 io_bin);
U32	ctrl_def_enable_get(void* dev, U8* cfg_en);
U32	ctrl_def_enable_set(void* dev, U8 cfg_en, U8 cfg_dir, U8 io_bin);
U32	ctrl_def_rx(void* dev, U8* io_bin);
U32	ctrl_def_tx(void* dev, U8 io_bin);

U32	data_cap_get(void* dev, U8* data_cap, U8* cfg_mask);
U32	data_dir_out_get(void* dev, U8* cfg_dir);
U32	data_dir_out_set(void* dev, U8 cfg_dir, U32 io_bin);
U32	data_enable_get(void* dev, U8* cfg_en);
U32	data_enable_set(void* dev, U8 cfg_en, U8 cfg_dir, U32 io_bin);

U32	data_exp_cap_get(void* dev, U8* cap, U8* cfg_mask);
U32	data_exp_dir_out_get(void* dev, U8* cfg_dir);
U32	data_exp_dir_out_set(void* dev, U8 cfg_dir, U32 io_bin);
U32	data_exp_enable_get(U8* cfg_en);
U32	data_exp_enable_set(void* dev, U8 cfg_en, U8 cfg_dir, U32 io_bin);
U32	data_exp_rx(void* dev, U32* io_bin);
U32	data_exp_tx(void* dev, U32 io_bin);

U32	data_sim_cap_get(U8* data_cap, U8* cfg_mask);
U32	data_sim_dir_out_get(void* dev, U8* cfg_dir);
U32	data_sim_dir_out_set(void* dev, U8 cfg_dir, U32 io_bin);
U32	data_sim_enable_get(void* dev, U8* cfg_en);
U32	data_sim_enable_set(void* dev, U8 cfg_en, U8 cfg_dir, U32 io_bin);
U32	data_sim_rx(void* dev, U32* io_bin);
U32	data_sim_tx(void* dev, U32 io_bin);

U32	gpio_dev_cap_get(void* dev, U8* cap, U8* ctrl_cfg_mask, U8* data_cfg_mask);



#endif
